org.apache.maven.scm.util

## Class ThreadSafeDateFormat

- java.lang.Object
- - java.text.Format
  - - java.text.DateFormat
    - - org.apache.maven.scm.util.ThreadSafeDateFormat

- All Implemented Interfaces:
    Serializable, Cloneable

      public class ThreadSafeDateFormat
      extends DateFormat

  Thread-safe version of java.text.DateFormat. You can declare it as a static final variable: `private static final ThreadSafeDateFormat DATE_FORMAT = new ThreadSafeDateFormat( DATE_PATTERN );`
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.text.DateFormat

      `DateFormat.Field`

  - ### Field Summary

    - ### Fields inherited from class java.text.DateFormat

      `AM_PM_FIELD, calendar, DATE_FIELD, DAY_OF_WEEK_FIELD, DAY_OF_WEEK_IN_MONTH_FIELD, DAY_OF_YEAR_FIELD, DEFAULT, ERA_FIELD, FULL, HOUR_OF_DAY0_FIELD, HOUR_OF_DAY1_FIELD, HOUR0_FIELD, HOUR1_FIELD, LONG, MEDIUM, MILLISECOND_FIELD, MINUTE_FIELD, MONTH_FIELD, numberFormat, SECOND_FIELD, SHORT, TIMEZONE_FIELD, WEEK_OF_MONTH_FIELD, WEEK_OF_YEAR_FIELD, YEAR_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThreadSafeDateFormat(String sDateFormat)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `StringBuffer` | `format(Date date, StringBuffer toAppendTo, FieldPosition fieldPosition)`
    `Date` | `parse(String source, ParsePosition pos)`

    - ### Methods inherited from class java.text.DateFormat

      `clone, equals, format, format, getAvailableLocales, getCalendar, getDateInstance, getDateInstance, getDateInstance, getDateTimeInstance, getDateTimeInstance, getDateTimeInstance, getInstance, getNumberFormat, getTimeInstance, getTimeInstance, getTimeInstance, getTimeZone, hashCode, isLenient, parse, parseObject, setCalendar, setLenient, setNumberFormat, setTimeZone`

    - ### Methods inherited from class java.text.Format

      `format, formatToCharacterIterator, parseObject`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ThreadSafeDateFormat

          public ThreadSafeDateFormat(String sDateFormat)

  - ### Method Detail

    - #### format

          public StringBuffer format(Date date,
                            StringBuffer toAppendTo,
                            FieldPosition fieldPosition)

      Specified by:
        `format` in class `DateFormat`

    - #### parse

          public Date parse(String source,
                   ParsePosition pos)

      Specified by:
        `parse` in class `DateFormat`

Copyright © 2003–2015. All rights reserved.